<app-modal
  [isOpen]="isOpen"
  [isMobile]="isMobile"
  [modalSize]="modalSize"
  (onClose)="onCloseHandler()"
>
  <div content class="product-detail-content">
    <div class="product-image">
      <div *ngIf="!isLoading && !isNullProduct; else imageLoading" [ngStyle]="imageBackground"></div>
    </div>
    <div class="product-detail">
      <div class="details" *ngIf="!isLoading && !isNullProduct; else productDetailLoading">
        <span class="title">{{ product.name }}</span>
        <span class="description">{{ product.description }}</span>
        <span class="price">$ {{ product.price }}</span>
      </div>
      <div class="btn-wrapper">
        <button [disabled]="isLoading" class="add-to-cart-btn" type="button" (click)="onAddToCart()">
          <span>Add to cart 🛍</span>
        </button>
      </div>
    </div>
  </div>
</app-modal>

<ng-template #productDetailLoading>
  <div class="skeleton title"></div>
  <div class="skeleton description"></div>
  <div class="skeleton price"></div>
</ng-template>

<ng-template #imageLoading>
  <div class="skeleton image"></div>
</ng-template>
